aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2021-12-22 14:29:53 +0100
committerPeter Mikus <pmikus@cisco.com>2022-01-07 12:46:21 +0000
commit214a3bb8713ca661f4f8fef6859d17b860193dbc (patch)
treecce6bf3e59221fd597608e2c9dd6c780eb49baaa
parent86d079d9965eb61f1f85ec211caf20392b156b7c (diff)
fix(uti): Fixing broken code part III
Part of fixing chain after early merge. Signed-off-by: pmikus <pmikus@cisco.com> Change-Id: I06e19def003575993bc3d97c0dc7fbedd3e5ff7a
-rw-r--r--resources/libraries/bash/function/common.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh
index 49b60ad118..ada2c228e6 100644
--- a/resources/libraries/bash/function/common.sh
+++ b/resources/libraries/bash/function/common.sh
@@ -1,5 +1,5 @@
-# Copyright (c) 2021 Cisco and/or its affiliates.
-# Copyright (c) 2021 PANTHEON.tech and/or its affiliates.
+# Copyright (c) 2022 Cisco and/or its affiliates.
+# Copyright (c) 2022 PANTHEON.tech and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -137,20 +137,19 @@ function activate_virtualenv () {
function archive_tests () {
- # Create .tar.xz of generated/tests for archiving.
+ # Create .tar.gz of generated/tests for archiving.
# To be run after generate_tests, kept separate to offer more flexibility.
# Directory read:
# - ${GENERATED_DIR}/tests - Tree of executed suites to archive.
# File rewriten:
- # - ${ARCHIVE_DIR}/tests.tar.xz - Archive of generated tests.
+ # - ${ARCHIVE_DIR}/generated_tests.tar.gz - Archive of generated tests.
set -exuo pipefail
- filename="generated_robot_files.tar.xz"
- tar c "${GENERATED_DIR}/tests" | xz -3 > "${ARCHIVE_DIR}/${filename}" || {
- die "Error creating archive of generated tests."
- }
+ pushd "${ARCHIVE_DIR}" || die
+ tar czvf "generated_tests.tar.gz" "${GENERATED_DIR}/tests" || true
+ popd || die
}